package com.persagy.dmp.rwd.edit.entity;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.node.ArrayNode;
import com.persagy.dmp.rwd.edit.model.RwdeditRefTypeModel;
import com.vladmihalcea.hibernate.type.json.JsonStringType;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.*;

import javax.persistence.*;
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;
import java.util.List;
@TypeDef(name = "json", typeClass = JsonStringType.class)
@Setter
@Getter
@Entity
@Table(name = "rwdedit_ref_type")
public class RwdeditRefType {

    @Id
    @GeneratedValue(generator = "assignedId")
    @GenericGenerator(name = "assignedId", strategy = "assigned")
    private String refKey;
    private String name;
    @Type(type = "json")
    @Column( columnDefinition = "json" )
    private ArrayNode extendProperties;
    @Column(updatable = false)
    private Integer createUser;
    @CreationTimestamp
    @Column(updatable = false)
    private Date createTime;
    private Integer updateUser;
    @UpdateTimestamp
    private Date updateTime;
    private Integer seq;
    private Integer showPosition;
    private String parentKey;

    @OneToMany(cascade = CascadeType.ALL, orphanRemoval = true, mappedBy = "refKey")
    private List<RwdeditRefTypeInfos> infos;

    public static RwdeditRefType fromModel(RwdeditRefTypeModel model) {
        RwdeditRefType entity = new RwdeditRefType();
        entity.setRefKey(model.getRefKey());
        entity.setName(model.getName());
        entity.setCreateTime(model.getCreateTime());
        entity.setUpdateTime(model.getUpdateTime());
        entity.setCreateUser(model.getCreateUser());
        entity.setUpdateUser(model.getUpdateUser());
        entity.setExtendProperties(model.getExtendProperties());
        entity.setSeq(model.getSeq());
        entity.setShowPosition(model.getShowPosition());
        entity.setInfos(model.getInfos());
        return entity;
    }

    public RwdeditRefTypeModel toModel() {
        RwdeditRefTypeModel model = new RwdeditRefTypeModel();
        model.setRefKey(this.getRefKey());
        model.setName(this.getName());
        model.setCreateTime(this.getCreateTime());
        model.setUpdateTime(this.getUpdateTime());
        model.setCreateUser(this.getCreateUser());
        model.setUpdateUser(this.getUpdateUser());
        model.setExtendProperties(this.getExtendProperties());
        model.setSeq(this.getSeq());
        model.setShowPosition(this.getShowPosition());
        return model;
    }
}
