## 类型
### 类型-查询变更记录

地址：POST /rwdedit/classDef/changeRecord/query

参数

```json
{
    "criteria":{
        "id":1,
        "code":"project",//类型编码
        "operationType":"create",//创建：create 修改：update 删除：delete
        "operationUser":"90000000",//操作人
        "operationTime":1611295200000,//操作时间
        "confirmUser":"90000000",//确认人
        "confirmTime":1611295200000,//确认时间
        "publishUser":"90000000",//发布人
        "publishTime":1611295200000,//发布时间
        "finishTime":1611295200000,//完成时间
        "state":0,//状态 0.取消 1.初始化 2.确认 3.发布 4.完成
        "version":"3.1.3"//版本编号
    },
    "page":1,
    "size":10
}
```

返回结果

```json
{
    "result": "success",
    "data": [
          {
            "id": 57,
            "code": "eq01",
            "groupCode": "0",
            "objType": "component",
            "name": "eq01",
            "aliasCode": "eq01",
            "aliasName": "eq01",
            "type": "common",
            "projectId": "0",
            "majorCode": "AC",         //专业编码
            "systemCode": "ACVT",      //系统编码
            "equipmentCode": "ACVTSF", //设备类编码
            "parentCode": "component",
            "operationType": "create",
            "operationUser": "null",
            "operationTime": 1617176474000,
            "confirmUser": "90000000",
            "confirmTime": 1620700946000,
            "publishUser": "90000000",
            "publishTime": 1620700953000,
            "finishTime": 1620700988000,
            "valid": true,
            "state": "FINISH",
            "version": "1.0.0",
            "majorName": "空调专业",     //专业名称 (v2.0新增)
            "systemName": "通风系统",    //系统名称 (v2.0新增)
            "equipmentName": "通风风机"  //设备类名称 (v2.0新增)
          }
    ],
    "count": 1
}
```

### 类型-新增变更记录

地址：POST /rwdedit/classDef/changeRecord/create

参数

 ```json
{
    "code": "projectItem",//必传 信息点编码
    //参考物理世界-类型定义接口文档
    "operationType": "create"
}
 ```

返回结果

```json
{
    "result": "success",
    "data": {
        "id": 2
    }
}
```

### 类型-修改变更记录

地址：POST /rwdedit/classDef/changeRecord/update

 参数

```json
{
      "id":"1",//必传
      "aliasCode":"project",//选填 别编码
      "aliasName":"项目",//选填 别名称
}  
```

 返回结果

```json
{
    "result": "success"
}
```
### 类型-删除变更记录


地址：POST /rwdedit/classDef/changeRecord/delete

参数

```json
    {
        "id":1 //变更记录id
    }
```

返回结果

```json
{
    "result": "success"
}
```


### 类型-加入版本号


地址：POST /rwdedit/classDef/changeRecord/addVersion?version=3.1.1

路径参数说明
```
   version:版本编号id
```

参数

```json
    [
        1,2,3 //变更记录id
    ]
```

返回结果

```json
{
    "result": "success"
}
```
 
## 信息点
 
### 信息点-查询变更记录

地址：POST /rwdedit/funcidDef/changeRecord/query

参数

```json
{
    "criteria":{
        "id":1,
        "code":"project",//类型编码
        "operationType":"create",//创建：create 修改：update 删除：delete
        "operationUser":"90000000",//操作人
        "operationTime":1611295200000,//操作时间
        "confirmUser":"90000000",//确认人
        "confirmTime":1611295200000,//确认时间
        "publishUser":"90000000",//发布人
        "publishTime":1611295200000,//发布时间
        "finishTime":1611295200000,//完成时间
        "state":0,//状态 0.取消 1.初始化 2.确认 3.发布 4.完成
        "version":"3.1.3"//版本编号
    },
    "page":1,
    "size":10
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id": 1,
            "code": "project",
            "operationType": "update",
            "operationUser": "90000000",
            "operationTime": 1611295200000,
            "confirmUser": "90000000",
            "confirmTime": 1611295200000,
            "publishUser": "90000000",
            "publishTime": 1611295200000,
            "finishTime": 1611312582000,
            "valid": true,
            "state": 4
        }
    ],
    "count": 1
}
```

### 信息点-新增变更记录

地址：POST /rwdedit/funcidDef/changeRecord/create

参数

 ```json
{
    "code": "projectItem",//必传 信息点编码
    "classCode": "projectItem",//必传 类型编码
    //参考物理世界-信息点定义接口文档
    "operationType": "create"
}
 ```

返回结果

```json
{
    "result": "success",
    "data": {
        "id": 2
    }
}
```

### 信息点-修改变更记录

地址：POST /rwdedit/funcidDef/changeRecord/update

 参数

```json
{
      "id":"1",//必传
      "aliasCode":"project",//选填 别编码
      "aliasName":"项目",//选填 别名称
      "firstTag":"建筑信息",//选填 一级标签
      "secondTag":"结构参数",//选填 二级标签
      "note":"备注",//选填 备注
}   
```

返回结果

```json
{
    "result": "success"
}
```
### 信息点-删除变更记录


地址：POST /rwdedit/funcidDef/changeRecord/delete

参数

```json
    {
        "id":1 //变更记录id
    }
```

返回结果

```json
{
    "result": "success"
}
```

### 信息点-加入版本号


地址：POST /rwdedit/funcidDef/changeRecord/addVersion?version=3.1.1

路径参数说明
```
   version:版本编号id
```

参数

```json
    [
        1,2,3 //变更记录id
    ]
```

返回结果

```json
{
    "result": "success"
}
```
### 信息点-查询所有引用类型


地址：POST /rwdedit/ref/type/query

参数

```json
{
  "criteria":{
    "showPosition":"1"  //1-知识库 2-分类体系
}
```

返回结果

```json
{
    {
    "result": "success",
    "data": [
        {
            "refKey": "airWindRating", //引用类型键
            "name": "空气风力等级",//引用类型名称
            "createUser": 0,
            "createTime": 1614046154000,
            "updateUser": 0,
            "updateTime": 1614046241000
        }
    ],
    "count": 1
}
}
```

## 版本

### 版本号查询


地址：POST /rwdedit/version/query

参数

```json
{
    "criteria":{
        "id":1,
        "version":"3.1.1",//版本编号
        "createTime":"1611295200000",//创建时间
        "createUser":"90000000",//创建人
    },
    "page":1,
    "size":10
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "id":1,
            "version":"3.1.1",//版本编号
            "createTime":"1611295200000",//创建时间
            "createUser":"90000000",//创建人
         }
    ],
    "count": 1
}
```
### 新增版本号


地址：POST /rwdedit/version/create

参数

```json
{
    "version":"3.1.1"//版本编号
}
```

返回结果

```json
{
    "result": "success"
}
```
### 修改版本状态


地址：POST /rwdedit/version/update

参数

```json
    {
        "version":"1.1.1",
        "state":3
    }
```

返回结果

```json
{
    "result": "success"
}
```

### 发布下载

地址：POST /rwdedit/version/download?version=1.1.1

 返回结果 sql文件

## 知识库

### 知识库-创建知识库引用


地址：POST /rwdedit/ref/type/create

参数

```json
{
    "refKey": "test",//必填
    "name":"test"
}
```

返回结果

```json
{
    "result": "success",
    "data": {
        "refKey": "test"
    }
}
```

### 知识库-修改知识库引用


地址：POST /rwdedit/ref/type/update

参数

```json
{
    "refKey": "test",//必填
    "name":"test2"
}
```

返回结果

```json
{
    "result": "success",
    "data": {
        "refKey": "test"
    }
}
```
### 知识库-删除知识库引用


地址：POST /rwdedit/ref/type/delete

参数

```json
{
    "refKey": "test"//必填
}
```

返回结果

```json
{
    "result": "success",
    "data": {
        "refKey": "test"
    }
}
```
### 知识库信息-查询知识库详情


地址：POST /rwdedit/ref/type/infos/query

参数

```json
{
    "refKey": "test",//必填
    "name":"test"
}
```

返回结果

```json
{
    "result": "success",
    "data": {
        "refKey": "test"
    }
}
```
### 知识库-创建知识库详情


地址：POST /rwdedit/ref/type/infos/create

参数

```json
{
    "refKey": "test",//必填
    "code": "test",//必填
    "name":"test"
}
```

返回结果

```json
{
    "result": "success",
    "data": {
        "refKey": "test"
    }
}
```

### 知识库-修改知识库详情


地址：POST /rwdedit/ref/type/infos/update

参数

```json
{
    "refKey": "test",//必填
    "code": "test",//必填
    "name":"test2"
}
```

返回结果

```json
{
    "result": "success",
    "data": {
        "refKey": "test"
    }
}
```
### 知识库-删除知识库详情


地址：POST /rwdedit/ref/type/infos/delete

参数

```json
{
    "refKey": "test",//必填
    "code": "test"//必填
}
```

返回结果

```json
{
    "result": "success",
    "data": {
        "refKey": "test"
    }
}
```
