package com.persagy.dmp.rwd.repository;

import com.persagy.dmp.rwd.entity.ObjectInstance;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

import java.util.List;

public interface ObjectInstanceRepository extends JpaRepository<ObjectInstance, String>, QuerydslPredicateExecutor<ObjectInstance>{
    @Query(nativeQuery=true,value = "USE mysql;")
    void selectUseDatabase();
    @Query(nativeQuery=true,value = "SET SESSION group_concat_max_len = 65535;")
    void setSessionConcatMaxLen();
    @Query(nativeQuery=true,value = "SELECT REPLACE(GROUP_CONCAT(CONCAT(\"(SELECT * FROM \",table_name,\" WHERE class_code='project') UNION\")),\",\",\" \") "
            + "from mysql.innodb_table_stats where table_name like '%rwd_object_wd%'")
    String queryAllProjectTableNames();

}

