package com.persagy.dmp.rwd.repository;


import com.persagy.dmp.rwd.entity.ObjectInstance;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 数据库操作dao
 * @author Charlie Yu
 * @date 2021-03-30
 */
@Mapper
@Repository
public interface ProjectDao {

    /***
     * Description: 根据集团code查询所有集团下的表名称
     * @param groupCode : 集团code
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/6/30 22:31
     * Update By lijie 2021/6/30 22:31
     */
    String queryRwdObjectTableNamesByGroupCode(@Param("groupCode") String groupCode,@Param("rwdDatabaseName") String rwdDatabaseName);
    /***
     * Description:查询所有的项目信息
     * @param querySql : 查询语句
     * @return : java.util.List<com.persagy.dmp.rwd.entity.ObjectInstance>
     * @author : lijie
     * @date :2021/6/30 22:31
     * Update By lijie 2021/6/30 22:31
     */
    List<ObjectInstance> queryAllProjects(@Param("querySql") String querySql);
}
